GNU bug report logs - #9614
date: warn on invalid TZ string (was: date ignoring wrong

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Severity: wishlist; Reported by: Sandro Santilli <strk@HIDDEN>; merged with #11748, #14229; dated Tue, 27 Sep 2011 16:14:02 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.

Message received at 9614 <at> debbugs.gnu.org:


Received: (at 9614) by debbugs.gnu.org; 2 Jan 2019 10:02:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 02 05:02:29 2019
Received: from localhost ([127.0.0.1]:44311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gedM5-0003fn-81
	for submit <at> debbugs.gnu.org; Wed, 02 Jan 2019 05:02:29 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:49816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1gedM3-0003fY-V4
 for 9614 <at> debbugs.gnu.org; Wed, 02 Jan 2019 05:02:28 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id F1A8B160E4A;
 Wed,  2 Jan 2019 02:02:21 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id xohWJxckVPOX; Wed,  2 Jan 2019 02:02:21 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 4E4A9160E4F;
 Wed,  2 Jan 2019 02:02:21 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id ZnXVeC_C43hI; Wed,  2 Jan 2019 02:02:21 -0800 (PST)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 28AF5160E22;
 Wed,  2 Jan 2019 02:02:21 -0800 (PST)
Subject: Re: bug#9614: date ignoring wrong TZ values
To: Assaf Gordon <assafgordon@HIDDEN>
References: <20110927140913.GB17136@gnash> <4E8213A0.5010608@HIDDEN>
 <m2fwjhejqh.fsf@HIDDEN> <20110928054451.GB2083@xtp>
 <4E82B533.2040709@HIDDEN>
 <778a0599-b204-810d-7795-7902d2b751ad@HIDDEN>
 <aebb50ba-3a44-18f3-9cb2-daa16a90dc24@HIDDEN>
 <23d0089e-490a-c675-238f-63bf74cd01ed@HIDDEN>
 <6c9b3a5b-2668-93de-7ea4-368ab1417009@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <8d755d2e-91a8-7a5f-b6ec-dc0148a895cf@HIDDEN>
Date: Wed, 2 Jan 2019 02:02:20 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <6c9b3a5b-2668-93de-7ea4-368ab1417009@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 9614
Cc: 9614 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Assaf Gordon wrote:

> gnulib's tzalloc implementation should be greatly expanded to be able
> to decode the operating system's local timezome?
> (or perhaps the timezone management code copied from glibc?)

That's what I was thinking of, except that it'd be better to extend glibc to 
support tzalloc etc. That code could be shared between glibc and gnulib.




Information forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.

Message received at 9614 <at> debbugs.gnu.org:


Received: (at 9614) by debbugs.gnu.org; 2 Jan 2019 07:52:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 02 02:52:59 2019
Received: from localhost ([127.0.0.1]:44280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gebKl-0006kf-7G
	for submit <at> debbugs.gnu.org; Wed, 02 Jan 2019 02:52:59 -0500
Received: from mail-pl1-f182.google.com ([209.85.214.182]:41272)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gebKj-0006kR-MV
 for 9614 <at> debbugs.gnu.org; Wed, 02 Jan 2019 02:52:58 -0500
Received: by mail-pl1-f182.google.com with SMTP id u6so14204501plm.8
 for <9614 <at> debbugs.gnu.org>; Tue, 01 Jan 2019 23:52:57 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=qDnpglaG/6ZZ7FPWbO/vYOySBHftLNl1JC4Rf11/CHw=;
 b=Emo4Hh40BnMGO1MbL+iQSigGD4bZbQHVNASDmAwkOa/p7YTIbHDKhVjlVNmwMRJM7l
 QbY8u+V5qu9APDLIiGOmFFePdnRUnObH2jQ4C3Efe560eRPsIVF3OVQocdNdVUEetosL
 ZRoPFMgbsh2dvFrpc8FPov+q5HXRHG9JtD2Wc2bR0uVoi9uHbLEfS3dz/Tg9uE9mhymc
 ApKFWFh58dAUqmYaqB5c7p5sO4jX4HLyMfvNAa723LWh+170csm+x1hFOgU000aerG8W
 9eME+Jj19Kjqfksl425c4PXuJoUMB49nGVBtB64ZZKNIrjPT/yacLJI4yMeUzlxSN4JB
 GrDw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=qDnpglaG/6ZZ7FPWbO/vYOySBHftLNl1JC4Rf11/CHw=;
 b=U9RuYXOt7LeTkaccXuQBYZlvjWjcJi6u30eTzXSr0e2/QKX3bOzxMQMgdQkUiQTtM4
 z96yPPmPSUDbSYfoIEOFSTE+pGWQ0aRrsERRAhMSLi1hrNBXGsMOLje5NvPmASPDhKim
 cJbJMNTTIGOhPnWgAo7TONVFYibKA3mxgXenjhkksURiiP2plr9nT4s5drkxWIvJVXfz
 W/b+JBS9yB9oeDt/gpNhJgk2b7ITOk7yg5pkfVrgFJJfMyWOljoN7DLZaoZCOrL7fv1m
 Pn7FMoaZl0qGIXp4AJ9V3sV1ez4idzC3ytMGh3Eg1jUXa+/t520sxKbHwAQmimQFaKHC
 uTgw==
X-Gm-Message-State: AJcUukfAMGezcGNfVXmXN70RvC5W7AOkGfMldLhDTq/lHWg8BIBi3SQy
 3Kl6C91xlQwzLxW2cRcm+yLmynkg
X-Google-Smtp-Source: ALg8bN5RczvMrivFWEGZonzyrb6UjX4LoiikBpv1D6FYCxoATAudOFVCBUg3sr1rbzAn9AUNoS+vMA==
X-Received: by 2002:a17:902:4401:: with SMTP id
 k1mr42738831pld.307.1546415571301; 
 Tue, 01 Jan 2019 23:52:51 -0800 (PST)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 134sm62002966pgb.78.2019.01.01.23.52.49
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 01 Jan 2019 23:52:50 -0800 (PST)
Subject: Re: bug#9614: date ignoring wrong TZ values
To: Paul Eggert <eggert@HIDDEN>
References: <20110927140913.GB17136@gnash> <4E8213A0.5010608@HIDDEN>
 <m2fwjhejqh.fsf@HIDDEN> <20110928054451.GB2083@xtp>
 <4E82B533.2040709@HIDDEN>
 <778a0599-b204-810d-7795-7902d2b751ad@HIDDEN>
 <aebb50ba-3a44-18f3-9cb2-daa16a90dc24@HIDDEN>
 <23d0089e-490a-c675-238f-63bf74cd01ed@HIDDEN>
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <6c9b3a5b-2668-93de-7ea4-368ab1417009@HIDDEN>
Date: Wed, 2 Jan 2019 00:52:48 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.3.0
MIME-Version: 1.0
In-Reply-To: <23d0089e-490a-c675-238f-63bf74cd01ed@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 9614
Cc: 9614 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Paul,

On 2019-01-02 12:08 a.m., Paul Eggert wrote:
> I think this implementation is heading in the wrong direction. To 
> determine whether a time zone string FOO is valid, a program should call 
> tzalloc (FOO) and sees whether that yields NULL.  And if tzalloc doesn't 
> work that way now, we should fix tzalloc so it does. Once that happens, 
> 'date' can simply call tzalloc (getenv ("TZ")) to see whether the time 
> zone setting is OK.

Thanks for the feedback.

Asking for a bit more details, clarifications...

If I understand correctly, the current gnulib implementation
of "tzalloc" is very minimal and without any checks.
Basically the only way for it to return NULL is if the malloc failed.
https://git.sv.gnu.org/cgit/gnulib.git/tree/lib/time_rz.c#n92

And previously you wrote:
 > Unfortunately, there's no portable way to determine
 > which TZ values are supported on the current platform.

So do you mean that:

This sort of heuristics (or another/better heuristic implementation)
should be moved into gnulib, and 'hidden' with tzalloc's very simple 
interface?
(date already calls tzalloc(getenv("TZ")) but doesn't check the returned 
value.)

or

gnulib's tzalloc implementation should be greatly expanded to be able
to decode the operating system's local timezome?
(or perhaps the timezone management code copied from glibc?)

or

something completely different?

thanks!
  - assaf







Information forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.

Message received at 9614 <at> debbugs.gnu.org:


Received: (at 9614) by debbugs.gnu.org; 2 Jan 2019 07:08:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 02 02:08:35 2019
Received: from localhost ([127.0.0.1]:44261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1geadm-0005g3-Or
	for submit <at> debbugs.gnu.org; Wed, 02 Jan 2019 02:08:34 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:38978)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1geadk-0005fp-U9
 for 9614 <at> debbugs.gnu.org; Wed, 02 Jan 2019 02:08:33 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 73AC4160E4A;
 Tue,  1 Jan 2019 23:08:27 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 90-4jauwS7Mt; Tue,  1 Jan 2019 23:08:26 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id C101A160EF2;
 Tue,  1 Jan 2019 23:08:26 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 1otUN-d5ML68; Tue,  1 Jan 2019 23:08:26 -0800 (PST)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 92911160D3B;
 Tue,  1 Jan 2019 23:08:26 -0800 (PST)
Subject: Re: bug#9614: date ignoring wrong TZ values
To: Assaf Gordon <assafgordon@HIDDEN>, Sandro Santilli <strk@HIDDEN>
References: <20110927140913.GB17136@gnash> <4E8213A0.5010608@HIDDEN>
 <m2fwjhejqh.fsf@HIDDEN> <20110928054451.GB2083@xtp>
 <4E82B533.2040709@HIDDEN>
 <778a0599-b204-810d-7795-7902d2b751ad@HIDDEN>
 <aebb50ba-3a44-18f3-9cb2-daa16a90dc24@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <23d0089e-490a-c675-238f-63bf74cd01ed@HIDDEN>
Date: Tue, 1 Jan 2019 23:08:26 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <aebb50ba-3a44-18f3-9cb2-daa16a90dc24@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 9614
Cc: 9614 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

I think this implementation is heading in the wrong direction. To determine 
whether a time zone string FOO is valid, a program should call tzalloc (FOO) and 
sees whether that yields NULL.  And if tzalloc doesn't work that way now, we 
should fix tzalloc so it does. Once that happens, 'date' can simply call tzalloc 
(getenv ("TZ")) to see whether the time zone setting is OK.




Information forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.

Message received at 9614 <at> debbugs.gnu.org:


Received: (at 9614) by debbugs.gnu.org; 31 Dec 2018 17:04:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 31 12:04:13 2018
Received: from localhost ([127.0.0.1]:43616 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ge0z6-000141-Os
	for submit <at> debbugs.gnu.org; Mon, 31 Dec 2018 12:04:13 -0500
Received: from mail-pg1-f171.google.com ([209.85.215.171]:44006)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1ge0z2-00013i-6x
 for 9614 <at> debbugs.gnu.org; Mon, 31 Dec 2018 12:04:11 -0500
Received: by mail-pg1-f171.google.com with SMTP id v28so12861846pgk.10
 for <9614 <at> debbugs.gnu.org>; Mon, 31 Dec 2018 09:04:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:from:to:cc:references:message-id:date:user-agent
 :mime-version:in-reply-to:content-language;
 bh=VxRLjHsPuhbkJlhlqsjWB5b/mR9qABHbvubqyT6p54k=;
 b=Z3LURvvsCI+J3uExkFUZNavQZKohq+5bHyNOHXJBHNBHuDj02bk/+x9nOQpj6e3EVm
 wbu7ImAiW35+mYUc78MZtBHCNKjzYR81wb4k4S44IcvOe0XUdQ1W2k1d4H9Ip6XwMGZr
 e4GwdLRiP9hVUTYPd0OsmKa8bs388yMM1nbd23mu6U20kDsyHIFQHybvnHi0zHtBLU7w
 izIJ/iG9zieVCjoFeWUyZ2JPsRR2PsU3Bh6MvXeNbUHOs9wf2mX+NugolBmPVzPZBjw1
 rN9qWDzIDes2bmnfyRBbzkBpnnCUSVsTlOexv8ZZXnT/Nm4HDPFml1269C1aTcW51jfz
 QC1g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:from:to:cc:references:message-id:date
 :user-agent:mime-version:in-reply-to:content-language;
 bh=VxRLjHsPuhbkJlhlqsjWB5b/mR9qABHbvubqyT6p54k=;
 b=ds+8wRcqhqEM3IVJJy5qPjwGOQDwMgsZBCkmq6vRLrsETEZRxN3jkQzVSfF3lV0h1c
 aby1t7tNGR2zaiXtzBw+Af/knd5KTIrMLKYtuojBpUWTt3zd4GzFQ0Ngo/unbta3goZh
 ef8U9AdLGQ/VdQ129T3isy4OCHZNDCgqRXJWemH4zse6zdsK2vYGvxUEdKLiAJiZUPOh
 zT1m7XcFcceQOhFcRDvZ2Pd8Tm9pQs8uTh5oZV6IFXzKuZSFK+pWwhpky4Hiq2QO2YRJ
 +UreJJ2zOI/lybvZwb6WhwGg5/x3AhLbYkyXUiRDKjzfzbXECJ/B8OoePxCUh3hmMJuD
 AizQ==
X-Gm-Message-State: AJcUukf/YtcOg/vFo9MVNdsTRDAs5ILpWhPKvBqnPnWJSSJM16naL4XV
 Fwxp1QAliO1PaCSmcDHafXaERJIl
X-Google-Smtp-Source: ALg8bN5nZKgqrhAlP99QuZSimU4lzM6UJCothSxSZiqn/nDB1V7rqOUG3Vn1UAvclolainKWDXfX6Q==
X-Received: by 2002:a63:374e:: with SMTP id g14mr8237500pgn.59.1546275841008; 
 Mon, 31 Dec 2018 09:04:01 -0800 (PST)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 t21sm69375637pgg.24.2018.12.31.09.03.58
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 31 Dec 2018 09:03:59 -0800 (PST)
Subject: Re: bug#9614: date ignoring wrong TZ values
From: Assaf Gordon <assafgordon@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>, Sandro Santilli <strk@HIDDEN>
References: <20110927140913.GB17136@gnash> <4E8213A0.5010608@HIDDEN>
 <m2fwjhejqh.fsf@HIDDEN> <20110928054451.GB2083@xtp>
 <4E82B533.2040709@HIDDEN>
 <778a0599-b204-810d-7795-7902d2b751ad@HIDDEN>
Message-ID: <aebb50ba-3a44-18f3-9cb2-daa16a90dc24@HIDDEN>
Date: Mon, 31 Dec 2018 10:03:58 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.3.0
MIME-Version: 1.0
In-Reply-To: <778a0599-b204-810d-7795-7902d2b751ad@HIDDEN>
Content-Type: multipart/mixed; boundary="------------246566B5007C00E3D04FFDF0"
Content-Language: en-US
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 9614
Cc: 9614 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.
--------------246566B5007C00E3D04FFDF0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit

Hello,

On 2018-10-15 8:11 a.m., Assaf Gordon wrote:
> tags 9614 wontfix
> severity 9614 wishlist

Changed my mind (and noticed that Paul removed the "wontfix" tag),
so here goes...


> On 27/09/11 11:48 PM, Paul Eggert wrote:
>> On 09/27/11 22:44, Sandro Santilli wrote:
>>> A warning/error message with hint on how to correctly form
>>> the string would be very friendly for users
>>
>> Unfortunately, there's no portable way to determine
>> which TZ values are supported on the current platform.
>> One cannot even reliably determine whether the current TZ
>> value is supported.  So it's not clear how that warning
>> would be generated.
>>

Attached is a crude attempt at detecting and warning about invalid
timezone strings.

First and foremost,
the code only runs when the user specify "--debug", so hopefully it
won't have any ill effects.

Second,
the goal is to detect the most common usage errors (e.g.
"America/NewYorx" or "Jamaika"), not to re-implement a fool-proof parser
for timezones.

Third,
The code runs "mostly well" on "most common" operating systems.
There sure to be cases where it doesn't work (but the "doesn't work"
part simply means that with "--debug" it might warn about invalid
timezone when it is a valid timezone that resolves to GMT).
OpenBSD is such a case.

---

With this patch, "date --debug" is able to warn about:

    TZ=America/NewYorx date --debug
    TZ=Europe/Lomdom date --debug
    TZ=FOOBAR date --debug
    date --debug -d 'TZ="Asia/Japan" 2019-01-01'

while it knows not to warn about:

    TZ=Africa/Dakar date --debug   # Valid GMT timezone
    TZ=GB date --debug             # Valid GMT timezone on most systems
    TZ=FOO+0 date --debug          # Valid UTC+0 timezone

The warning looks like so:

    $ TZ=America/Kalgary ./src/date --debug
    date: possibly invalid timezone in TZ envvar:
    date:    ‘America/Kalgary’
    date: timezone UTC0 will be used.
    Mon Dec 31 16:41:08 America 2018

The detection works well on Debian 9, Centos 7,
FreeBSD 11, NetBSD 7.1, AIX 7.2 .

OpenBSD is an example of where it doesn't work - there's no way
to differentiate between an invalid timezone and a valid GMT timezone.
But on such system, the code self-diagnoses this issue and prints
additional warnings:

   $ TZ=Africa/Dakar ./src/date --debug
   date: possibly invalid timezone in TZ envvar:
   date:    'Africa/Dakar'
   date: timezone UTC0 will be used.
   date: this system has limited capabilities in detecting
   date: invalid timezones. It is possible this is a valid timezone
   date: in the GMT zone.
   Mon Dec 31 16:43:35 GMT 2018

---

This patch includes a unit-test, but because the names of available
timezones vary so much between systems, it doesn't pass everywhere.
It is therefore marked as "very expensive".

To run it, use:

     make check SUBDIRS=. TESTS=tests/misc/date-debug-TZ.pl \
                RUN_VERY_EXPENSIVE_TESTS=yes

---

The heuristic code to determine if a timezone is valid or not is quite
hairy. There's likely room for improvements.


Comments and feedback and improvement suggestions are welcomed,
  - assaf















--------------246566B5007C00E3D04FFDF0
Content-Type: application/gzip;
 name="0001-date-detect-and-warn-about-invalid-TZ-values-with-de.patch.gz"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="0001-date-detect-and-warn-about-invalid-TZ-values-with-de.pa";
 filename*1="tch.gz"
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--------------246566B5007C00E3D04FFDF0--




Information forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.
Merged 9614 11748 14229. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Removed tag(s) wontfix. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'date: warn on invalid TZ string (was: date ignoring wrong' from 'date ignoring wrong TZ values' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 9614 <at> debbugs.gnu.org:


Received: (at 9614) by debbugs.gnu.org; 15 Oct 2018 14:11:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 15 10:11:55 2018
Received: from localhost ([127.0.0.1]:50856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gC3b8-000740-RL
	for submit <at> debbugs.gnu.org; Mon, 15 Oct 2018 10:11:55 -0400
Received: from mail-pf1-f179.google.com ([209.85.210.179]:33239)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>)
 id 1gC3b6-00073g-Uw; Mon, 15 Oct 2018 10:11:53 -0400
Received: by mail-pf1-f179.google.com with SMTP id 78-v6so7367408pfq.0;
 Mon, 15 Oct 2018 07:11:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=bG3O4tLInPhgDpXwnDhqpng09yQxzG4hvUjb3CbUr4o=;
 b=vad/RXOpq44OA/0ZTwb598wwAn8rUk5ITlObm62snX9kg9Q/oc0rDjIw66w83r9cp6
 ShL4lu5O+vnYJuyE8T8BqZCx9SLUccqXdrfWsuwcvw5VjNtwKtbc6Ny0nRyu2CLtm+xE
 fY3X0e74LiP/4HcVYf+G7Qck78jRU/KHo/5Uznf8SFGjE+l4d3H+ssE6j57JL7yShLWQ
 G4AfNVgCTHsTZoSE49SQEiZByxL4eSp0F39osBIh59flYoHAyDlAZLrx7YeIKursEK1G
 Bo37e42Urvig5xnx0dWVmuzKywfKKg7vAeN2BLr/TVaCD8fL0XtAx1mSkm5JYSAvFgxq
 WqUQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=bG3O4tLInPhgDpXwnDhqpng09yQxzG4hvUjb3CbUr4o=;
 b=hhBrB6IWyX3x1l2w5/JxEWt9yjgkhLRCHsDZWSrj3FzYMYJO81p+1GOs3fznn4a7xy
 UBVBW2ReksjNzZWFH4ly6BzS2uEXynjdCHXiBJ8DTJ6WgwyzPVlEcpWFd7P+bQpRVqK6
 iVUyj5HvhJ1HNqvJ5pO5iY3OWWHECvJbbEGCdLOPvIEDLFe90bAN1RBWUKTONW19dJQf
 X98xuuyB3tTS0TeNrAzP7mmxiP/Rnc6KwY+ATPtkycBXOzQZv7uqt87FIixt5iANTyd/
 vpE7n024EmJtF/z7iMssUVwxawO8Q5XdyF/ksRJagsbrjgggAKz8GaO/N8oSJ5oRAZl+
 ar9A==
X-Gm-Message-State: ABuFfoiMMmpwqDVS7oI8pPrga+dFMcefEk6Lf13yUuzaTqqziQ6Jy2nR
 gdJPOGVPS0wrBwa7tFs/SM+/c3uyFT8=
X-Google-Smtp-Source: ACcGV62LMksQZjJESoleSp1LMVhjuHC722NWHGH5TF6KyHvdXAQq73Bukpn+GTgTzSAceaOGt2DUOQ==
X-Received: by 2002:a62:1112:: with SMTP id
 z18-v6mr17788088pfi.200.1539612706713; 
 Mon, 15 Oct 2018 07:11:46 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 y144-v6sm15909228pfb.81.2018.10.15.07.11.45
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 15 Oct 2018 07:11:45 -0700 (PDT)
Subject: Re: bug#9614: date ignoring wrong TZ values
To: Paul Eggert <eggert@HIDDEN>, Sandro Santilli <strk@HIDDEN>
References: <20110927140913.GB17136@gnash> <4E8213A0.5010608@HIDDEN>
 <m2fwjhejqh.fsf@HIDDEN> <20110928054451.GB2083@xtp>
 <4E82B533.2040709@HIDDEN>
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <778a0599-b204-810d-7795-7902d2b751ad@HIDDEN>
Date: Mon, 15 Oct 2018 08:11:44 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.9.1
MIME-Version: 1.0
In-Reply-To: <4E82B533.2040709@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 9614
Cc: 9614 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 9614 wontfix
severity 9614 wishlist
retitle 9614 date: warn on invalid TZ string (was: date ignoring wrong 
TZ values)
stop

(triaging old bugs)

Hello,

On 27/09/11 11:48 PM, Paul Eggert wrote:
> On 09/27/11 22:44, Sandro Santilli wrote:
>> A warning/error message with hint on how to correctly form
>> the string would be very friendly for users
> 
> Unfortunately, there's no portable way to determine
> which TZ values are supported on the current platform.
> One cannot even reliably determine whether the current TZ
> value is supported.  So it's not clear how that warning
> would be generated.
> 
> Also, lots of programs use TZ; it's not just "date".
> 

Based on the above, and no follow-ups in 7 years,
I'm closing this bug. Discussion can continue by replying to this thread.

-assaf







Information forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.

Message received at 9614 <at> debbugs.gnu.org:


Received: (at 9614) by debbugs.gnu.org; 29 Sep 2011 08:40:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 29 04:40:15 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R9CA6-0006wA-Oj
	for submit <at> debbugs.gnu.org; Thu, 29 Sep 2011 04:40:15 -0400
Received: from mail-ww0-f46.google.com ([74.125.82.46])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <sandro.santilli@HIDDEN>) id 1R9C9y-0006vm-Rg
	for 9614 <at> debbugs.gnu.org; Thu, 29 Sep 2011 04:40:08 -0400
Received: by wwi18 with SMTP id 18so597489wwi.15
	for <9614 <at> debbugs.gnu.org>; Thu, 29 Sep 2011 01:39:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=sender:date:from:to:cc:subject:message-id:references:mime-version
	:content-type:content-disposition:content-transfer-encoding
	:in-reply-to:user-agent;
	bh=4yABtkx+kEa2g22Lmb3+22cz+8Y+YuH+mJi2EU8qsuc=;
	b=d1v/pyq3sctHHqwVpGRC/nrmBHbS2X7Bb//dwEcAxnJVsoRRVSFK27OSaZigPygyGC
	T1MYe2kwf1VnDSEZuAKuj8PA1Rdj4upfdTO331tvrXBfeFfJ+Q1JadaqTkqsN8DpJ5VL
	qqz7SZaNnXvqY9xt/PuUVkwo+HIU5ty02h1+M=
Received: by 10.216.143.153 with SMTP id l25mr317356wej.24.1317285542649;
	Thu, 29 Sep 2011 01:39:02 -0700 (PDT)
Received: from gnash (ip-80-67-115-202.static.adsl.cheapnet.it.
	[80.67.115.202])
	by mx.google.com with ESMTPS id fy13sm1364233wbb.18.2011.09.29.01.39.00
	(version=SSLv3 cipher=OTHER); Thu, 29 Sep 2011 01:39:01 -0700 (PDT)
Date: Thu, 29 Sep 2011 10:38:58 +0200
From: Sandro Santilli <strk@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#9614: date ignoring wrong TZ values
Message-ID: <20110929083858.GC2071@gnash>
References: <20110927140913.GB17136@gnash> <4E8213A0.5010608@HIDDEN>
	<4E823ACC.2050304@HIDDEN> <m2k48tejy1.fsf@HIDDEN>
	<4E8248A4.2000406@HIDDEN> <m2bou5eihh.fsf@HIDDEN>
	<20110928054401.GA2083@xtp> <m2aa9ocras.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <m2aa9ocras.fsf@HIDDEN>
User-Agent: Mutt/1.5.20 (2009-06-14)
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: 9614
Cc: 9614 <at> debbugs.gnu.org, =?iso-8859-1?Q?P=E1draig?= Brady <P@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.9 (---)

On Wed, Sep 28, 2011 at 11:04:11PM +0200, Andreas Schwab wrote:
> Sandro Santilli <strk@HIDDEN> writes:
> 
> > On Wed, Sep 28, 2011 at 12:19:22AM +0200, Andreas Schwab wrote:
> >> Pdraig Brady <P@HIDDEN> writes:
> >> 
> >> > $ TZ=Japan+1 date
> >> 
> >> This is a well-formed POSIX timezone.
> >
> > Meaning UTC+1 ?
> 
> The timzone name has no meaning, only the offset matters.

Offset from which date ?

> >> > $ TZ=Japan date
> >> 
> >> This is a non-POSIX timezone that happens to match an Olson timezone.
> >
> > non-POSIX means illegal ?
> 
> It means unspecified (but not undefined), ie. the implementation may
> reject it or do something sensible.

So it can also print a warning ?

--strk; 

  ()   Free GIS & Flash consultant/developer
  /\   http://strk.keybit.net/services.html




Information forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.

Message received at 9614 <at> debbugs.gnu.org:


Received: (at 9614) by debbugs.gnu.org; 28 Sep 2011 21:05:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 28 17:05:16 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R91Jc-0007Up-DD
	for submit <at> debbugs.gnu.org; Wed, 28 Sep 2011 17:05:16 -0400
Received: from mail-out.m-online.net ([212.18.0.9])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <whitebox@HIDDEN>) id 1R91JY-0007Ug-Pw
	for 9614 <at> debbugs.gnu.org; Wed, 28 Sep 2011 17:05:14 -0400
Received: from frontend1.mail.m-online.net (unknown [192.168.8.180])
	by mail-out.m-online.net (Postfix) with ESMTP id 479AA1C1DA00;
	Wed, 28 Sep 2011 23:04:14 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.8.164])
	by mail.m-online.net (Postfix) with ESMTP id F38DF1C00060;
	Wed, 28 Sep 2011 23:04:13 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.180])
	by localhost (dynscan1.mail.m-online.net [192.168.8.164]) (amavisd-new,
	port 10024)
	with ESMTP id 7O8VODWQ7UlI; Wed, 28 Sep 2011 23:04:13 +0200 (CEST)
Received: from igel.home (ppp-88-217-111-153.dynamic.mnet-online.de
	[88.217.111.153]) by mail.mnet-online.de (Postfix) with ESMTP;
	Wed, 28 Sep 2011 23:04:13 +0200 (CEST)
Received: by igel.home (Postfix, from userid 501)
	id A1F69CA296; Wed, 28 Sep 2011 23:04:12 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Sandro Santilli <strk@HIDDEN>
Subject: Re: bug#9614: date ignoring wrong TZ values
References: <20110927140913.GB17136@gnash> <4E8213A0.5010608@HIDDEN>
	<4E823ACC.2050304@HIDDEN> <m2k48tejy1.fsf@HIDDEN>
	<4E8248A4.2000406@HIDDEN> <m2bou5eihh.fsf@HIDDEN>
	<20110928054401.GA2083@xtp>
X-Yow: ...Get me a GIN and TONIC!!...make it HAIR TONIC!!
Date: Wed, 28 Sep 2011 23:04:11 +0200
In-Reply-To: <20110928054401.GA2083@xtp> (Sandro Santilli's message of "Wed,
	28 Sep 2011 07:44:01 +0200")
Message-ID: <m2aa9ocras.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 9614
Cc: 9614 <at> debbugs.gnu.org, =?utf-8?Q?P=C3=A1draig?= Brady <P@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Sandro Santilli <strk@HIDDEN> writes:

> On Wed, Sep 28, 2011 at 12:19:22AM +0200, Andreas Schwab wrote:
>> Pádraig Brady <P@HIDDEN> writes:
>> 
>> > $ TZ=Japan+1 date
>> 
>> This is a well-formed POSIX timezone.
>
> Meaning UTC+1 ?

The timzone name has no meaning, only the offset matters.

>> > $ TZ=Japan date
>> 
>> This is a non-POSIX timezone that happens to match an Olson timezone.
>
> non-POSIX means illegal ?

It means unspecified (but not undefined), ie. the implementation may
reject it or do something sensible.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.

Message received at 9614 <at> debbugs.gnu.org:


Received: (at 9614) by debbugs.gnu.org; 28 Sep 2011 05:49:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 28 01:49:37 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R8n1U-00073G-R3
	for submit <at> debbugs.gnu.org; Wed, 28 Sep 2011 01:49:37 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eggert@HIDDEN>) id 1R8n1R-000738-Fz
	for 9614 <at> debbugs.gnu.org; Wed, 28 Sep 2011 01:49:34 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
	by smtp.cs.ucla.edu (Postfix) with ESMTP id AC16A39E80F8;
	Tue, 27 Sep 2011 22:48:39 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
	by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id zUI3+TgOueh7; Tue, 27 Sep 2011 22:48:39 -0700 (PDT)
Received: from [192.168.1.10] (pool-71-189-109-235.lsanca.fios.verizon.net
	[71.189.109.235])
	by smtp.cs.ucla.edu (Postfix) with ESMTPSA id 5C48939E80CF;
	Tue, 27 Sep 2011 22:48:39 -0700 (PDT)
Message-ID: <4E82B533.2040709@HIDDEN>
Date: Tue, 27 Sep 2011 22:48:35 -0700
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US;
	rv:1.9.2.21) Gecko/20110831 Thunderbird/3.1.13
MIME-Version: 1.0
To: Sandro Santilli <strk@HIDDEN>
Subject: Re: bug#9614: date ignoring wrong TZ values
References: <20110927140913.GB17136@gnash>
	<4E8213A0.5010608@HIDDEN>	<m2fwjhejqh.fsf@HIDDEN>
	<20110928054451.GB2083@xtp>
In-Reply-To: <20110928054451.GB2083@xtp>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: 9614
Cc: 9614 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.9 (--)

On 09/27/11 22:44, Sandro Santilli wrote:
> A warning/error message with hint on how to correctly form
> the string would be very friendly for users

Unfortunately, there's no portable way to determine
which TZ values are supported on the current platform.
One cannot even reliably determine whether the current TZ
value is supported.  So it's not clear how that warning
would be generated.

Also, lots of programs use TZ; it's not just "date".




Information forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.

Message received at 9614 <at> debbugs.gnu.org:


Received: (at 9614) by debbugs.gnu.org; 28 Sep 2011 05:45:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 28 01:45:51 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R8mxq-0006xg-SZ
	for submit <at> debbugs.gnu.org; Wed, 28 Sep 2011 01:45:51 -0400
Received: from mail-ww0-f46.google.com ([74.125.82.46])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <sandro.santilli@HIDDEN>) id 1R8mxo-0006xZ-Uf
	for 9614 <at> debbugs.gnu.org; Wed, 28 Sep 2011 01:45:49 -0400
Received: by wwi18 with SMTP id 18so7858992wwi.15
	for <9614 <at> debbugs.gnu.org>; Tue, 27 Sep 2011 22:44:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=sender:date:from:to:cc:subject:message-id:references:mime-version
	:content-type:content-disposition:content-transfer-encoding
	:in-reply-to:user-agent;
	bh=9BkII4LWKE4bTe54IvA5av5O3y1ODdSAxGXB6u410uI=;
	b=UPSu3YYK0T8YZ0rOcGtT0LgFwnhJFevazhsRQmlLbG4zRBlCTj75hg+1E4YYf/9IGq
	KohbPfM9hPfLmKOMQNzXwqdkl4Tzh4hqGaTEKu/Zv4zfuXsIzzFAzn0kunjdeSPF41lo
	rA+iM4Hn5qPcWz81APtFvEJOvhhyZyezpjm+I=
Received: by 10.227.154.140 with SMTP id o12mr8502859wbw.104.1317188695314;
	Tue, 27 Sep 2011 22:44:55 -0700 (PDT)
Received: from xtp ([80.67.115.202])
	by mx.google.com with ESMTPS id fq9sm39034728wbb.15.2011.09.27.22.44.53
	(version=SSLv3 cipher=OTHER); Tue, 27 Sep 2011 22:44:54 -0700 (PDT)
Date: Wed, 28 Sep 2011 07:44:51 +0200
From: Sandro Santilli <strk@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#9614: date ignoring wrong TZ values
Message-ID: <20110928054451.GB2083@xtp>
References: <20110927140913.GB17136@gnash> <4E8213A0.5010608@HIDDEN>
	<m2fwjhejqh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <m2fwjhejqh.fsf@HIDDEN>
User-Agent: Mutt/1.5.20 (2009-06-14)
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: 9614
Cc: 9614 <at> debbugs.gnu.org, =?iso-8859-1?Q?P=E1draig?= Brady <P@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.9 (---)

On Tue, Sep 27, 2011 at 11:52:22PM +0200, Andreas Schwab wrote:
> Pdraig Brady <P@HIDDEN> writes:
> 
> > On 09/27/2011 03:09 PM, Sandro Santilli wrote:
> >> I've been puzzled by date(1) giving weird results
> >> when setting TZ to values unknown by zoneinfo.
> >> 
> >> As far as:
> >> 
> >>  $ TZ=Fake date
> >>  Tue Sep 27 14:06:32 Fake 2011
> >
> > Yes, that is per POSIX.
> 
> This is not a POSIX format, since it lacks the offset.

A warning/error message with hint on how to correctly form
the string would be very friendly for users.

--strk;

  ()   Free GIS & Flash consultant/developer
  /\   http://strk.keybit.net/services.html




Information forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.

Message received at 9614 <at> debbugs.gnu.org:


Received: (at 9614) by debbugs.gnu.org; 28 Sep 2011 05:45:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 28 01:45:04 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R8mx6-0006wk-EV
	for submit <at> debbugs.gnu.org; Wed, 28 Sep 2011 01:45:04 -0400
Received: from mail-ww0-f46.google.com ([74.125.82.46])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <sandro.santilli@HIDDEN>) id 1R8mx3-0006w6-CN
	for 9614 <at> debbugs.gnu.org; Wed, 28 Sep 2011 01:45:02 -0400
Received: by wwi18 with SMTP id 18so7858443wwi.15
	for <9614 <at> debbugs.gnu.org>; Tue, 27 Sep 2011 22:44:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=sender:date:from:to:cc:subject:message-id:references:mime-version
	:content-type:content-disposition:content-transfer-encoding
	:in-reply-to:user-agent;
	bh=X4BQG50cpzJrYxukB5SWyV+h42sQsyxuSwqhL7495zQ=;
	b=jTsiFZ2k62uUCCuSzIX07JOpNqyIHi2CtZTaYdLeZ/lImZe4vE23tbOm30DJNppgNg
	JuXAQ2lkQxlD5eFVdHV51z1AjV0ed/EHgNCnO8UX9jD9MuNe0040rPBvz7ioszibx0oZ
	oBNgRepP3l426fKNUvFzOEGmdtCM/IW+jkB08=
Received: by 10.227.37.9 with SMTP id v9mr9866329wbd.50.1317188646827;
	Tue, 27 Sep 2011 22:44:06 -0700 (PDT)
Received: from xtp ([80.67.115.202])
	by mx.google.com with ESMTPS id j18sm39053256wbo.6.2011.09.27.22.44.05
	(version=SSLv3 cipher=OTHER); Tue, 27 Sep 2011 22:44:05 -0700 (PDT)
Date: Wed, 28 Sep 2011 07:44:01 +0200
From: Sandro Santilli <strk@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#9614: date ignoring wrong TZ values
Message-ID: <20110928054401.GA2083@xtp>
References: <20110927140913.GB17136@gnash> <4E8213A0.5010608@HIDDEN>
	<4E823ACC.2050304@HIDDEN> <m2k48tejy1.fsf@HIDDEN>
	<4E8248A4.2000406@HIDDEN> <m2bou5eihh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <m2bou5eihh.fsf@HIDDEN>
User-Agent: Mutt/1.5.20 (2009-06-14)
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 9614
Cc: 9614 <at> debbugs.gnu.org, =?iso-8859-1?Q?P=E1draig?= Brady <P@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.1 (----)

On Wed, Sep 28, 2011 at 12:19:22AM +0200, Andreas Schwab wrote:
> Pdraig Brady <P@HIDDEN> writes:
> 
> > $ TZ=GB-Eire+1 date
> 
> A POSIX timezone name cannot have dashes.

Doesn't all these "can't have" and "undefined" specs mean
we do can warn or error out w/out breakin POSIX compatibility ?

> > $ TZ=Japan+1 date
> 
> This is a well-formed POSIX timezone.

Meaning UTC+1 ?

> > $ TZ=Japan date
> 
> This is a non-POSIX timezone that happens to match an Olson timezone.

non-POSIX means illegal ?

--strk; 

  ()   Free GIS & Flash consultant/developer
  /\   http://strk.keybit.net/services.html




Information forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.

Message received at 9614 <at> debbugs.gnu.org:


Received: (at 9614) by debbugs.gnu.org; 27 Sep 2011 22:20:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 27 18:20:19 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R8g0h-00056o-LS
	for submit <at> debbugs.gnu.org; Tue, 27 Sep 2011 18:20:19 -0400
Received: from mail-out.m-online.net ([212.18.0.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <whitebox@HIDDEN>) id 1R8g0e-00056f-D7
	for 9614 <at> debbugs.gnu.org; Tue, 27 Sep 2011 18:20:17 -0400
Received: from frontend1.mail.m-online.net (frontend1.mail.intern.m-online.net
	[192.168.8.180])
	by mail-out.m-online.net (Postfix) with ESMTP id 22BD7188A175;
	Wed, 28 Sep 2011 00:19:22 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.8.164])
	by mail.m-online.net (Postfix) with ESMTP id 449A91C000B8;
	Wed, 28 Sep 2011 00:19:23 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.180])
	by localhost (dynscan1.mail.m-online.net [192.168.8.164]) (amavisd-new,
	port 10024)
	with ESMTP id 94mzV3LE1vdR; Wed, 28 Sep 2011 00:19:23 +0200 (CEST)
Received: from igel.home (ppp-88-217-107-205.dynamic.mnet-online.de
	[88.217.107.205]) by mail.mnet-online.de (Postfix) with ESMTP;
	Wed, 28 Sep 2011 00:19:22 +0200 (CEST)
Received: by igel.home (Postfix, from userid 501)
	id 7B61CCA296; Wed, 28 Sep 2011 00:19:22 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: =?utf-8?Q?P=C3=A1draig?= Brady <P@HIDDEN>
Subject: Re: bug#9614: date ignoring wrong TZ values
References: <20110927140913.GB17136@gnash> <4E8213A0.5010608@HIDDEN>
	<4E823ACC.2050304@HIDDEN> <m2k48tejy1.fsf@HIDDEN>
	<4E8248A4.2000406@HIDDEN>
X-Yow: Inside, I'm already SOBBING!
Date: Wed, 28 Sep 2011 00:19:22 +0200
In-Reply-To: <4E8248A4.2000406@HIDDEN> (=?utf-8?Q?=22P=C3=A1draig?=
	Brady"'s message of "Tue, 27 Sep 2011 23:05:24 +0100")
Message-ID: <m2bou5eihh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 9614
Cc: 9614 <at> debbugs.gnu.org, Sandro Santilli <strk@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

P=C3=A1draig Brady <P@HIDDEN> writes:

> $ TZ=3DGB-Eire+1 date

A POSIX timezone name cannot have dashes.

> $ TZ=3DJapan+1 date

This is a well-formed POSIX timezone.

> $ TZ=3DJapan date

This is a non-POSIX timezone that happens to match an Olson timezone.

Andreas.

--=20
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint =3D 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED=
5
"And now for something completely different."




Information forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.

Message received at 9614 <at> debbugs.gnu.org:


Received: (at 9614) by debbugs.gnu.org; 27 Sep 2011 22:06:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 27 18:06:23 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R8fnD-0004mi-9m
	for submit <at> debbugs.gnu.org; Tue, 27 Sep 2011 18:06:23 -0400
Received: from mail1.vodafone.ie ([213.233.128.43])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <P@HIDDEN>) id 1R8fnA-0004mY-Gf
	for 9614 <at> debbugs.gnu.org; Tue, 27 Sep 2011 18:06:21 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ApMBAC9Igk5tTg9g/2dsb2JhbAAMNYRlpWgBAQEBAyMPAUYQCw0LAgIFFgsCAgkDAgECAUUGDQEFAgEBr2ORaYEshE6BEQSZE4t0
Received: from unknown (HELO [192.168.1.79]) ([109.78.15.96])
	by mail1.vodafone.ie with ESMTP; 27 Sep 2011 23:05:28 +0100
Message-ID: <4E8248A4.2000406@HIDDEN>
Date: Tue, 27 Sep 2011 23:05:24 +0100
From: =?UTF-8?B?UMOhZHJhaWcgQnJhZHk=?= <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:6.0) Gecko/20110816 Thunderbird/6.0
MIME-Version: 1.0
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#9614: date ignoring wrong TZ values
References: <20110927140913.GB17136@gnash> <4E8213A0.5010608@HIDDEN>
	<4E823ACC.2050304@HIDDEN> <m2k48tejy1.fsf@HIDDEN>
In-Reply-To: <m2k48tejy1.fsf@HIDDEN>
X-Enigmail-Version: 1.3.1
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 9614
Cc: 9614 <at> debbugs.gnu.org, Sandro Santilli <strk@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On 09/27/2011 10:47 PM, Andreas Schwab wrote:
> Pádraig Brady <P@HIDDEN> writes:
> 
>>  $ TZ=NZ+1 date # No zone reported
> 
> This is undefined.  A zone name in a POSIX time zone must have at least
> three letters.

I considered that, but it seems inconsequential in this case.
I'd advise people to stay clear of these abbreviations and offsets completely.

$ TZ=GB-Eire+1 date
Tue Sep 27 22:02:49  2011
$ TZ=Japan+1 date
Tue Sep 27 21:02:54 Japan 2011
$ TZ=Japan date
Wed Sep 28 07:03:53 JST 2011




Information forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.

Message received at 9614 <at> debbugs.gnu.org:


Received: (at 9614) by debbugs.gnu.org; 27 Sep 2011 21:53:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 27 17:53:45 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R8faz-0004Uj-6D
	for submit <at> debbugs.gnu.org; Tue, 27 Sep 2011 17:53:45 -0400
Received: from mail-out.m-online.net ([212.18.0.9])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <whitebox@HIDDEN>) id 1R8faw-0004UX-JJ
	for 9614 <at> debbugs.gnu.org; Tue, 27 Sep 2011 17:53:43 -0400
Received: from frontend1.mail.m-online.net (unknown [192.168.8.180])
	by mail-out.m-online.net (Postfix) with ESMTP id 12A481C1DA12;
	Tue, 27 Sep 2011 23:52:51 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.8.164])
	by mail.m-online.net (Postfix) with ESMTP id 0D6931C000A5;
	Tue, 27 Sep 2011 23:52:51 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.180])
	by localhost (dynscan1.mail.m-online.net [192.168.8.164]) (amavisd-new,
	port 10024)
	with ESMTP id 6nVNLNjokIh6; Tue, 27 Sep 2011 23:47:51 +0200 (CEST)
Received: from igel.home (ppp-88-217-107-205.dynamic.mnet-online.de
	[88.217.107.205]) by mail.mnet-online.de (Postfix) with ESMTP;
	Tue, 27 Sep 2011 23:47:50 +0200 (CEST)
Received: by igel.home (Postfix, from userid 501)
	id 9FC4ACA296; Tue, 27 Sep 2011 23:47:50 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: =?utf-8?Q?P=C3=A1draig?= Brady <P@HIDDEN>
Subject: Re: bug#9614: date ignoring wrong TZ values
References: <20110927140913.GB17136@gnash> <4E8213A0.5010608@HIDDEN>
	<4E823ACC.2050304@HIDDEN>
X-Yow: The FALAFEL SANDWICH lands on my HEAD and I become a VEGETARIAN...
Date: Tue, 27 Sep 2011 23:47:50 +0200
In-Reply-To: <4E823ACC.2050304@HIDDEN> (=?utf-8?Q?=22P=C3=A1draig?=
	Brady"'s message of "Tue, 27 Sep 2011 22:06:20 +0100")
Message-ID: <m2k48tejy1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 9614
Cc: 9614 <at> debbugs.gnu.org, Sandro Santilli <strk@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Pádraig Brady <P@HIDDEN> writes:

>  $ TZ=NZ+1 date # No zone reported

This is undefined.  A zone name in a POSIX time zone must have at least
three letters.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.

Message received at 9614 <at> debbugs.gnu.org:


Received: (at 9614) by debbugs.gnu.org; 27 Sep 2011 21:53:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 27 17:53:20 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R8faZ-0004U1-Pc
	for submit <at> debbugs.gnu.org; Tue, 27 Sep 2011 17:53:20 -0400
Received: from mail-out.m-online.net ([212.18.0.9])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <whitebox@HIDDEN>) id 1R8faW-0004Tr-Jn
	for 9614 <at> debbugs.gnu.org; Tue, 27 Sep 2011 17:53:17 -0400
Received: from frontend1.mail.m-online.net (unknown [192.168.8.180])
	by mail-out.m-online.net (Postfix) with ESMTP id CC29B1C1DA0D;
	Tue, 27 Sep 2011 23:52:23 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.8.164])
	by mail.m-online.net (Postfix) with ESMTP id 71DD81C0009E;
	Tue, 27 Sep 2011 23:52:23 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.180])
	by localhost (dynscan1.mail.m-online.net [192.168.8.164]) (amavisd-new,
	port 10024)
	with ESMTP id CqtHfvLZ02lD; Tue, 27 Sep 2011 23:52:23 +0200 (CEST)
Received: from igel.home (ppp-88-217-107-205.dynamic.mnet-online.de
	[88.217.107.205]) by mail.mnet-online.de (Postfix) with ESMTP;
	Tue, 27 Sep 2011 23:52:22 +0200 (CEST)
Received: by igel.home (Postfix, from userid 501)
	id AAB22CA298; Tue, 27 Sep 2011 23:52:22 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: =?utf-8?Q?P=C3=A1draig?= Brady <P@HIDDEN>
Subject: Re: bug#9614: date ignoring wrong TZ values
References: <20110927140913.GB17136@gnash> <4E8213A0.5010608@HIDDEN>
X-Yow: Yow!  Am I JOGGING yet??
Date: Tue, 27 Sep 2011 23:52:22 +0200
In-Reply-To: <4E8213A0.5010608@HIDDEN> (=?utf-8?Q?=22P=C3=A1draig?=
	Brady"'s message of "Tue, 27 Sep 2011 19:19:12 +0100")
Message-ID: <m2fwjhejqh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 9614
Cc: 9614 <at> debbugs.gnu.org, Sandro Santilli <strk@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Pádraig Brady <P@HIDDEN> writes:

> On 09/27/2011 03:09 PM, Sandro Santilli wrote:
>> I've been puzzled by date(1) giving weird results
>> when setting TZ to values unknown by zoneinfo.
>> 
>> As far as:
>> 
>>  $ TZ=Fake date
>>  Tue Sep 27 14:06:32 Fake 2011
>
> Yes, that is per POSIX.

This is not a POSIX format, since it lacks the offset.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.

Message received at 9614 <at> debbugs.gnu.org:


Received: (at 9614) by debbugs.gnu.org; 27 Sep 2011 21:07:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 27 17:07:16 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R8es0-0003PO-0D
	for submit <at> debbugs.gnu.org; Tue, 27 Sep 2011 17:07:16 -0400
Received: from mail1.vodafone.ie ([213.233.128.43])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <P@HIDDEN>) id 1R8erx-0003PF-8Y
	for 9614 <at> debbugs.gnu.org; Tue, 27 Sep 2011 17:07:14 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArwBAFY6gk5tTg9g/2dsb2JhbAAMNaYOhD8BAQEBAzIBRhALDQEKCRYPCQMCAQIBRQYNAQcBAcFVgxiDcwSZE4t0
Received: from unknown (HELO [192.168.1.79]) ([109.78.15.96])
	by mail1.vodafone.ie with ESMTP; 27 Sep 2011 22:06:21 +0100
Message-ID: <4E823ACC.2050304@HIDDEN>
Date: Tue, 27 Sep 2011 22:06:20 +0100
From: =?ISO-8859-1?Q?P=E1draig_Brady?= <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:6.0) Gecko/20110816 Thunderbird/6.0
MIME-Version: 1.0
To: Sandro Santilli <strk@HIDDEN>
Subject: Re: bug#9614: date ignoring wrong TZ values
References: <20110927140913.GB17136@gnash> <4E8213A0.5010608@HIDDEN>
In-Reply-To: <4E8213A0.5010608@HIDDEN>
X-Enigmail-Version: 1.3.1
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 9614
Cc: 9614 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On 09/27/2011 07:19 PM, Pdraig Brady wrote:
> On 09/27/2011 03:09 PM, Sandro Santilli wrote:
>> I've been puzzled by date(1) giving weird results
>> when setting TZ to values unknown by zoneinfo.
>>
>> As far as:
>>
>>  $ TZ=Fake date
>>  Tue Sep 27 14:06:32 Fake 2011
> 
> Yes, that is per POSIX.
> One can specify info about the timezone in TZ
> like TZ="Fake+6", so one couldn't start warning about that.
> 
>> It would be more helpful if the command raised an error 
>> or warning about "unknown" timezones rather than giving
>> random dates.
>>
>> It's particularly anonying when the same TZ _reported_
>> by the command isn't recognized in input:
>>
>>   $ date
>>   Tue Sep 27 16:08:13 CEST 2011
>>
>>   $ TZ=CEST date
>>   Tue Sep 27 14:08:13 CEST 2011
>>
>> Thanks for making a clock available for everyone, btw :)
> 
> Wow you learn something everyday.
> I thought the TZ=XYZ was just treated as UTC+0
> to allow one to specify TZ=XYZ+4 etc. as
> an offset from UTC.
> 
> But in fact some TZ values are matched,
> as can be seen for CET here on my system:
> 
> $ TZ=CEST date
> Tue Sep 27 18:03:05 CEST 2011
> $ TZ=CET date
> Tue Sep 27 20:03:09 CEST 2011
> $ date
> Tue Sep 27 19:03:17 IST 2011
> 
> There are a few three letter codes on my
> system at /usr/share/zoneinfo/
> (maybe these are the only non ambiguous ones?)
> 
> Hmm, how about we warn if an unmatched code (without a /)
> is specified, without any other info like UTC offset etc.?

Actually we could warn about unmatched codes containing / too.

I just noticed more inconsistencies, for codes that are matched:

 $ TZ=NZ+1 date # No zone reported
 Tue Sep 27 21:03:06  2011
 $ TZ=CET+1 date # Zone reported
 Tue Sep 27 20:03:16 CET 2011

thanks,
Pdraig.




Information forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.

Message received at 9614 <at> debbugs.gnu.org:


Received: (at 9614) by debbugs.gnu.org; 27 Sep 2011 19:38:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 27 15:38:10 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R8dTl-0000YN-Pb
	for submit <at> debbugs.gnu.org; Tue, 27 Sep 2011 15:38:10 -0400
Received: from mail-bw0-f44.google.com ([209.85.214.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <sandro.santilli@HIDDEN>) id 1R8dTj-0000YF-9d
	for 9614 <at> debbugs.gnu.org; Tue, 27 Sep 2011 15:38:08 -0400
Received: by bkaq10 with SMTP id q10so6822842bka.3
	for <9614 <at> debbugs.gnu.org>; Tue, 27 Sep 2011 12:37:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=sender:date:from:to:cc:subject:message-id:references:mime-version
	:content-type:content-disposition:content-transfer-encoding
	:in-reply-to:user-agent;
	bh=XPqgFjO+VDuKUhOrJxfdselCR/ThcJfmxblCw3mWylI=;
	b=lx7b9VCn94MEYEYbivtkasDGXW7LDE/O31GJ8Zj0UmIIiD25LZZgbwhW/3GSdp6yIz
	l5InhJxWD2SYbnsBmz59DDnGMtD25aMh7hkaxWaJhfvdZqP154kzNdD20YSYbkgcgz/8
	EwKLxye1ffl8LPhVk6sraHg3XIde5MJodwIWM=
Received: by 10.204.138.218 with SMTP id b26mr1764409bku.28.1317152235879;
	Tue, 27 Sep 2011 12:37:15 -0700 (PDT)
Received: from gnash ([80.67.115.202])
	by mx.google.com with ESMTPS id x4sm1832506fad.1.2011.09.27.12.37.14
	(version=SSLv3 cipher=OTHER); Tue, 27 Sep 2011 12:37:15 -0700 (PDT)
Date: Tue, 27 Sep 2011 21:37:12 +0200
From: Sandro Santilli <strk@HIDDEN>
To: =?iso-8859-1?Q?P=E1draig?= Brady <P@HIDDEN>
Subject: Re: bug#9614: date ignoring wrong TZ values
Message-ID: <20110927193712.GB16828@gnash>
References: <20110927140913.GB17136@gnash>
 <4E8213A0.5010608@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <4E8213A0.5010608@HIDDEN>
User-Agent: Mutt/1.5.20 (2009-06-14)
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: 9614
Cc: 9614 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.4 (----)

On Tue, Sep 27, 2011 at 07:19:12PM +0100, Pdraig Brady wrote:
> On 09/27/2011 03:09 PM, Sandro Santilli wrote:
> > I've been puzzled by date(1) giving weird results
> > when setting TZ to values unknown by zoneinfo.
> > 
> > As far as:
> > 
> >  $ TZ=Fake date
> >  Tue Sep 27 14:06:32 Fake 2011
> 
> Yes, that is per POSIX.
> One can specify info about the timezone in TZ
> like TZ="Fake+6", so one couldn't start warning about that.
> 
> > It would be more helpful if the command raised an error 
> > or warning about "unknown" timezones rather than giving
> > random dates.
> > 
> > It's particularly anonying when the same TZ _reported_
> > by the command isn't recognized in input:
> > 
> >   $ date
> >   Tue Sep 27 16:08:13 CEST 2011
> > 
> >   $ TZ=CEST date
> >   Tue Sep 27 14:08:13 CEST 2011
> > 
> > Thanks for making a clock available for everyone, btw :)
> 
> Wow you learn something everyday.
> I thought the TZ=XYZ was just treated as UTC+0
> to allow one to specify TZ=XYZ+4 etc. as
> an offset from UTC.
> 
> But in fact some TZ values are matched,
> as can be seen for CET here on my system:
> 
> $ TZ=CEST date
> Tue Sep 27 18:03:05 CEST 2011
> $ TZ=CET date
> Tue Sep 27 20:03:09 CEST 2011
> $ date
> Tue Sep 27 19:03:17 IST 2011
> 
> There are a few three letter codes on my
> system at /usr/share/zoneinfo/
> (maybe these are the only non ambiguous ones?)
> 
> Hmm, how about we warn if an unmatched code (without a /)
> is specified, without any other info like UTC offset etc.?

Better than nothing, I guess.

--strk;

  ()   Free GIS & Flash consultant/developer
  /\   http://strk.keybit.net/services.html




Information forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.

Message received at 9614 <at> debbugs.gnu.org:


Received: (at 9614) by debbugs.gnu.org; 27 Sep 2011 18:20:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 27 14:20:43 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R8cGo-0006MS-Lw
	for submit <at> debbugs.gnu.org; Tue, 27 Sep 2011 14:20:43 -0400
Received: from mail1.vodafone.ie ([213.233.128.43])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <P@HIDDEN>) id 1R8cGm-0006MG-SD
	for 9614 <at> debbugs.gnu.org; Tue, 27 Sep 2011 14:20:41 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArwBAKMTgk5tTg9g/2dsb2JhbAAMNaYKhD0BAQEBAgEyAUYFCwsNAQoJFg8JAwIBAgFFBg0BBwEBh3S6H4MYg3MEmROLdA
Received: from unknown (HELO [192.168.1.79]) ([109.78.15.96])
	by mail1.vodafone.ie with ESMTP; 27 Sep 2011 19:19:35 +0100
Message-ID: <4E8213A0.5010608@HIDDEN>
Date: Tue, 27 Sep 2011 19:19:12 +0100
From: =?ISO-8859-1?Q?P=E1draig_Brady?= <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:6.0) Gecko/20110816 Thunderbird/6.0
MIME-Version: 1.0
To: Sandro Santilli <strk@HIDDEN>
Subject: Re: bug#9614: date ignoring wrong TZ values
References: <20110927140913.GB17136@gnash>
In-Reply-To: <20110927140913.GB17136@gnash>
X-Enigmail-Version: 1.3.1
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 9614
Cc: 9614 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On 09/27/2011 03:09 PM, Sandro Santilli wrote:
> I've been puzzled by date(1) giving weird results
> when setting TZ to values unknown by zoneinfo.
> 
> As far as:
> 
>  $ TZ=Fake date
>  Tue Sep 27 14:06:32 Fake 2011

Yes, that is per POSIX.
One can specify info about the timezone in TZ
like TZ="Fake+6", so one couldn't start warning about that.

> It would be more helpful if the command raised an error 
> or warning about "unknown" timezones rather than giving
> random dates.
> 
> It's particularly anonying when the same TZ _reported_
> by the command isn't recognized in input:
> 
>   $ date
>   Tue Sep 27 16:08:13 CEST 2011
> 
>   $ TZ=CEST date
>   Tue Sep 27 14:08:13 CEST 2011
> 
> Thanks for making a clock available for everyone, btw :)

Wow you learn something everyday.
I thought the TZ=XYZ was just treated as UTC+0
to allow one to specify TZ=XYZ+4 etc. as
an offset from UTC.

But in fact some TZ values are matched,
as can be seen for CET here on my system:

$ TZ=CEST date
Tue Sep 27 18:03:05 CEST 2011
$ TZ=CET date
Tue Sep 27 20:03:09 CEST 2011
$ date
Tue Sep 27 19:03:17 IST 2011

There are a few three letter codes on my
system at /usr/share/zoneinfo/
(maybe these are the only non ambiguous ones?)

Hmm, how about we warn if an unmatched code (without a /)
is specified, without any other info like UTC offset etc.?

cheers,
Pdraig.




Information forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Sep 2011 16:13:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 27 12:13:57 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R8aI7-0002Zc-TN
	for submit <at> debbugs.gnu.org; Tue, 27 Sep 2011 12:13:56 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <sandro.santilli@HIDDEN>) id 1R8YMc-0008BP-Lv
	for submit <at> debbugs.gnu.org; Tue, 27 Sep 2011 10:10:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <sandro.santilli@HIDDEN>) id 1R8YLh-0006JP-3P
	for submit <at> debbugs.gnu.org; Tue, 27 Sep 2011 10:09:37 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW, T_DKIM_INVALID,
	T_TO_NO_BRKTS_FREEMAIL autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:43100)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sandro.santilli@HIDDEN>) id 1R8YLh-0006JE-0h
	for submit <at> debbugs.gnu.org; Tue, 27 Sep 2011 10:09:29 -0400
Received: from eggs.gnu.org ([140.186.70.92]:49017)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sandro.santilli@HIDDEN>) id 1R8YLb-0002S1-9r
	for bug-coreutils@HIDDEN; Tue, 27 Sep 2011 10:09:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <sandro.santilli@HIDDEN>) id 1R8YLV-0006GN-9M
	for bug-coreutils@HIDDEN; Tue, 27 Sep 2011 10:09:23 -0400
Received: from mail-fx0-f41.google.com ([209.85.161.41]:54329)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sandro.santilli@HIDDEN>) id 1R8YLV-0006G3-4m
	for bug-coreutils@HIDDEN; Tue, 27 Sep 2011 10:09:17 -0400
Received: by fxh17 with SMTP id 17so8236338fxh.0
	for <bug-coreutils@HIDDEN>; Tue, 27 Sep 2011 07:09:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=sender:date:from:to:subject:message-id:mime-version:content-type
	:content-disposition:user-agent;
	bh=h4I53SVKp1RsJht8z9q6fo2hHA/VgG1lN2i5hxjzp4o=;
	b=Kr96F1DnvALyzbKptV81P1wEh4IM8VMLKQzAE1TLAepcMzd3CXaDZ7xZoekzV5J1Yx
	d8YGX+vJPJPUjUvksDWLTaB6l8Eni7maswGKZZFUyPSJCBVLhsuILYn2zLnULsgv4IIa
	q6hdpJaeG3vfigSLBjtTLmtCOneCuOZOfWPmQ=
Received: by 10.223.6.77 with SMTP id 13mr12493219fay.135.1317132556322;
	Tue, 27 Sep 2011 07:09:16 -0700 (PDT)
Received: from gnash ([80.67.115.202])
	by mx.google.com with ESMTPS id l9sm23739363faa.26.2011.09.27.07.09.15
	(version=SSLv3 cipher=OTHER); Tue, 27 Sep 2011 07:09:15 -0700 (PDT)
Date: Tue, 27 Sep 2011 16:09:13 +0200
From: Sandro Santilli <strk@HIDDEN>
To: bug-coreutils@HIDDEN
Subject: date ignoring wrong TZ values
Message-ID: <20110927140913.GB17136@gnash>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.20 (2009-06-14)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 27 Sep 2011 12:13:54 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

I've been puzzled by date(1) giving weird results
when setting TZ to values unknown by zoneinfo.

As far as:

 $ TZ=Fake date
 Tue Sep 27 14:06:32 Fake 2011

It would be more helpful if the command raised an error 
or warning about "unknown" timezones rather than giving
random dates.

It's particularly anonying when the same TZ _reported_
by the command isn't recognized in input:

  $ date
  Tue Sep 27 16:08:13 CEST 2011

  $ TZ=CEST date
  Tue Sep 27 14:08:13 CEST 2011

Thanks for making a clock available for everyone, btw :)

--strk;

  ()   Free GIS & Flash consultant/developer
  /\   http://strk.keybit.net/services.html




Acknowledgement sent to Sandro Santilli <strk@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#9614; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.